{{set . "title" "Attribute page"}}
{{template "header.html" .}}

<div class="container">
    <div class="row">
        <div class="col-12">
            <h1 class="float-left">{{.title}}</h1>
            <a href="">Back</a>
        </div>
        <div class="col-12">
            {{template "flash.html" .}}
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <form action='/attributes/{{if .arg.ID}}update{{else}}create{{end}}' method="post">
                <div class="form-group">
                    <input type="text" name="name" value="{{.arg.Name}}" placeholder="Attr name"
                           class="form-control">
                    <div>{{index .errors "a.Name"}}</div>
                </div>

                <div class="form-group">
                    <input type="text" name="code" value="{{.arg.Code}}" placeholder="Attr code"
                           class="form-control">
                    {{.flash.Code}}
                </div>

                <div class="form-check">
                    <input type="checkbox" name="status" id="status" value="{{.arg.Status}}">
                    <label for="status">Status</label>
                </div>

                <div class="form-group">
                    <select name="type" id="attribute_type" class="form-control">
                        <option value="">Select attribute type</option>
                        <option value="test">Test</option>
                    </select>
                </div>

                <div class="form-check">
                    <input type="checkbox" name="is_column" id="is_column" value="{{.arg.IsColumn}}">
                    <label for="is_column">Is column?</label>
                </div>

                <div class="form-group">
                    <input type="number" name="column_position" id="column_position" placeholder="Column position"
                           class="form-control" value="{{.arg.ColumnPosition}}">
                </div>

                <div class="form-check">
                    <input type="checkbox" name="is_required" id="is_required" value="{{.arg.IsRequired}}">
                    <label for="is_required">Is required?</label>
                </div>

                <div class="form-group">
                    <select name="attribute_set" id="attribute_set" class="form-control">
                        <option value="">Select attribute set</option>
                        <option value="test">Test</option>
                    </select>
                </div>

                <div class="form-group">
                    <input type="submit" value="Save">
                </div>
            </form>
        </div>
    </div>
</div>

<script>

</script>

{{template "footer.html" .}}